=== debian/changelog ===
xloadimage (4.1-27) unstable; urgency=high

  * Update renamed lintian tag names in lintian overrides.
  * Modernise d/rules, bump S-V
  * Tell GCC 15 we’d like to keep pre-C23 (Closes: #1098151)
  * manpage overhaul: merge the fixes from Bjarni Ingi Gislason
    (Closes: #1094315); fold manpage-fix diffs; cease installing
    them as .1x (wtf); drop \(hy used manually for hyphens;
    correctly wrap input lines (begun; this needs mdoc conversion);
    fix .TH dates and some spellings

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 14 Sep 2025 00:30:26 +0000

xloadimage (4.1-26) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Helmut Grohne ]
  * Fix FTCBFS: switch to dh_auto_configure (Closes: #877607)

  [ Christian "naddy" Weisgerber ]
  * Fix LP64 concerns (Closes: #491707)

  [ Thorsten Glaser ]
  * Take over as maintainer to keep this in Debian, but keep
    #919265 open as RFH so others who know more about X11 join
  * Fix memory exhaustion when rotating by 0° (Closes: #971428)
  * Support "-" as argument for stdin (Closes: #420744)
  * Fix building with GCC 14 and gmake 4.3 (Closes: #1075669)
  * A round of lintian, and R³:no
  * Don’t install the upstram changelog’s text in two files
  * Use era-appropriate CFLAGS

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 05 Aug 2024 04:19:19 +0200

xloadimage (4.1-25) unstable; urgency=medium

  * Raise priorities to 2 in mime. (Closes: #752060)
    + Reason was to make it equal to imagemagick and others.
  * Move to Salsa.
  * Update my mail address.
  * Update Standards-Version and dh level.
    + No changes needed.

 -- Dominik George <natureshadow@debian.org>  Mon, 26 Mar 2018 15:58:59 +0200

xloadimage (4.1-24) unstable; urgency=medium

  * Add patch to make build reproducible. (Closes: #831743)
    + Thanks to Chris Lamb!
  * Bump Standards-Version and compat level.
  * Fix watch file.
    + X.org unpublished the R5contrib repo. Using GWDG mirror now.
  * Make package lintian clean.
    + Fix order of copyright file.
    + Fix minor spelling issue with a patch.
    + Use pathfind() from devref 6.4 in maintainer scripts.
  * Rename files in debian/ for consequent naming scheme.
  * Add VCS fields.

 -- Dominik George <nik@naturalnet.de>  Mon, 03 Oct 2016 16:10:21 +0200

xloadimage (4.1-23) unstable; urgency=medium

  * Fix syntax error in mailcap data, thanks to Hilmar Preuße
    and Thorsten Glaser. (Closes: #747322)
  * Add image/pcx mime type, thanks to Kevin Ryde. (Closes: #723725)
  * Comply with standards version 3.9.5.

 -- Dominik George <nik@naturalnet.de>  Wed, 28 May 2014 22:36:43 +0200

xloadimage (4.1-22) unstable; urgency=low

  * Change maintainer to myself. (Closes: #527575)
  * Re-license d/r under GPL-2+ as per the custom license
    given by the original author.
  * Fix build log checks.
    - make build system respect all hardening flags.
    - fix implicit declaration
  * Do not resize images smaller than the screen with -shrink
    (David Frey). (Closes: #381382)
  * Fix -fullscreen behaviour for special gemoetry cases
    (Anton Khirnov). (Closes: #506343)
  * Replace hyphens by correct minus signs for options and others
    in *.man.
  * Builds with both libtiff4-dev and libtiff5-dev.

 -- Dominik George <nik@naturalnet.de>  Wed, 02 Oct 2013 19:37:32 +0200

xloadimage (4.1-21) unstable; urgency=low

  * QA upload.
  * Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@debian.org>  Tue, 04 Sep 2012 10:25:08 +0100

xloadimage (4.1-20) unstable; urgency=low

  * QA upload.
  * Fix jpeg.c build if C_ARITH_CODING_SUPPORTED is
    defined. (Closes: #662619)

 -- Colin Watson <cjwatson@debian.org>  Fri, 10 Aug 2012 14:45:30 +0100

xloadimage (4.1-19) unstable; urgency=low

  * QA upload.
  * Adjust hardening flags to include LDFLAGS for uufilter.
    Thanks to Simon Ruderich <simon@ruderich.org>. (Closes: #670819)

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 29 Apr 2012 18:40:30 +0300

xloadimage (4.1-18) unstable; urgency=low

  * QA upload.
  * Remove deprecated dpatch and upgrade to packaging format
    "3.0 quilt". (Closes: #664370)
  * Update to Standards-Version to 3.9.3, debhelper 9, Copyright Format 1.0.
  * Migrate to dh(1) with new files: debian/{docs,dirs} etc.
  * Enable all hardened build flags.
  * Add watch file and add generate upstream changelog.
  * debian/patches
    - (16, 18): Run "quilt refresh" to make them apply cleanly.
    - (22): New; fix missing header files.
    - (20, 21): Rename to libpng and correct patch Subject text.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 20 Apr 2012 16:33:51 +0300

xloadimage (4.1-17) unstable; urgency=low

  * QA upload
  * Set maintainer to Debian QA Group
  * Switch to source format 3
  * Add patch by Nobuhiro Iwamatsu to fix compatibility
    with libpng 1.5. (Closes: #635706)
  * Build-depend on libpng-dev. (Closes: #662562)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 13 Mar 2012 23:07:33 +0100

xloadimage (4.1-16.3) unstable; urgency=low

  * Non-maintainer upload.
  * Change Build-Depends from libjpeg62-dev to libjpeg-dev. (Closes: #634647)

 -- gregor herrmann <gregoa@debian.org>  Sun, 06 Nov 2011 17:45:02 +0100

xloadimage (4.1-16.2) unstable; urgency=low

  * Non-maintainer upload.
  * Lower MIME priority for images to 1 (second to lowest), because
    xloadimage can be used to view images, but it's surely not the
    most preferred choice. (Closes: #470663)

 -- martin f. krafft <madduck@debian.org>  Fri, 25 Mar 2011 08:45:49 +0100

xloadimage (4.1-16.1) unstable; urgency=high

  * Non-maintainer upload.
  * 19_fix_root.c_resouce-leak.dpatch:
    Fix leaking xresources when using --onroot. (Closes: #325689)
    Patch by Alex Perry, reformatted by Tim Connors, thanks!

