=== debian/control ===
Source: xloadimage
Section: graphics
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 file,
 libjpeg-dev,
 libpng-dev,
 libtiff-dev,
 libx11-dev,
 libxau-dev,
 libxdmcp-dev,
 libxt-dev,
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/xloadimage.git
Vcs-Browser: https://salsa.debian.org/debian/xloadimage

Package: xloadimage
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Graphics file viewer under X11
 Can view png, jpeg, gif, tiff, niff, sunraster, fbm, cmuraster, pbm, faces,
 rle, xwd, vff, mcidas, vicar, pcx, gem, macpaint, xpm and xbm files. Can
 view images, put them on the root window, or dump them. Does a variety of
 processing, including: clipping, dithering, depth reduction, zoom,
 brightening/darkening and merging.
 .
 Includes xsetbg, xview and uufilter.
