=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter terse,${DEB_BUILD_OPTIONS}))
export DH_VERBOSE=1
export V=1
export VERBOSE=1
endif

LC_ALL:=C
export LC_ALL
TZ:=UTC
export TZ

shellescape='$(subst ','\'',$(1))'
shellexport=$(1)=$(call shellescape,${$(1)})

include /usr/share/dpkg/architecture.mk
DPKG_EXPORT_BUILDTOOLS:=1
include /usr/share/dpkg/buildtools.mk

OUR_CPPFLAGS:=
OUR_CFLAGS:=
OUR_LDFLAGS:=

ifneq (,$(filter debug,${DEB_BUILD_OPTIONS}))
OUR_CFLAGS+=	-Og -g3
endif

OUR_CFLAGS+=	-Wall
OUR_CFLAGS+=	-Wformat
# we are dealing with extremely ancient software here, give it a chance
OUR_CFLAGS+=	-fno-strict-aliasing -fwrapv
# this is mildly prototyped K&R-style code in large parts
OUR_CFLAGS+=	-std=gnu89

dpkgbuildflagsmkescape=$(subst \,\\\,$(1))
export DEB_BUILD_MAINT_OPTIONS:=hardening=+all optimize=-lto
export DEB_CPPFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CPPFLAGS})
export DEB_CFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CFLAGS})
export DEB_LDFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_LDFLAGS})
include /usr/share/dpkg/default.mk

execute_before_dh_auto_clean:
	if grep -Fq 'configure-clean:: autoconfig' Makefile >/dev/null 2>&1; then \
		rm Makefile; \
	fi

execute_before_dh_clean:
	rm -f build *.o xloadimage uufilter build.c config.log config.cache \
	    config.status config.h Makefile jpeg.conf tiff.conf
	rm -rf debian/tmp debian/files* debian/substvars debian/patched
	find . -name \*~ | xargs rm -vf

execute_before_dh_auto_configure:
	chmod 755 build-info configure

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream.changelog

install_dir=install -d -m 755
install_file=install -m 644
install_script=install -m 755
install_binary=install -m 755

override_dh_auto_install:
	$(install_binary) xloadimage debian/xloadimage/usr/bin/
	ln -s xloadimage debian/xloadimage/usr/bin/xsetbg
	ln -s xloadimage debian/xloadimage/usr/bin/xview
	$(install_binary) uufilter debian/xloadimage/usr/bin/

	$(install_file) xloadimagerc debian/xloadimage/etc/X11/Xloadimage

	$(install_file) debian/mime debian/xloadimage/usr/lib/mime/packages/xloadimage

	$(install_dir) debian/xloadimage/usr/share/man/man1/
	$(install_file) xloadimage.man debian/xloadimage/usr/share/man/man1/xloadimage.1
	$(install_file) uufilter.man debian/xloadimage/usr/share/man/man1/uufilter.1
	ln -s xloadimage.1.gz debian/xloadimage/usr/share/man/man1/xsetbg.1.gz
	ln -s xloadimage.1.gz debian/xloadimage/usr/share/man/man1/xview.1.gz

%:
	dh $@
