=== debian/watch ===
# X.org unpublished the R5contrib repo. GWDG has a mirror.
version=4
https://ftp.gwdg.de/pub/x11/x.org/R5contrib/xloadimage.([\d.]+).tar.gz
